package com.icomsys.main_vm.db.jpa.repo.system;

import com.icomsys.main_vm.db.jpa.entity.system.TbServiceGroupPolicy;
import com.icomsys.main_vm.db.jpa.entity.system.id.TbServiceGroupPolicyId;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface TbServiceGroupPolicyRepo extends JpaRepository<TbServiceGroupPolicy, TbServiceGroupPolicyId> {

    List<TbServiceGroupPolicy> findByAuthGroupSeq(Long seq);
    void deleteByServiceGroupInAndPolicyValIn(List<String> service, List<String> delpol);
    void deleteByServiceGroupAndPolicyValIn(String service, List<String> delpol);
    void deleteByAuthGroupSeqAndPolicyValIn(Long authSeq, List<String> delpol);
    boolean existsByAuthGroupSeq(Long seq);


}
